local _AddonName, _EchoRaidTools = ...;


local module = _EchoRaidTools:NewModule("EditModeTools")
local addonLoaded

---@param addonName string
function module:ADDON_LOADED(addonName)
    if (addonName ~= _AddonName) or (addonLoaded) then return end

    module:DBSetup()
    module:UpdateEventHandler()
    addonLoaded = true
end

function module:GetNavigationButtons()
end

function module:GetButtonInfo()
    return "Edit Mode Tools",
        7,
        function()
            return module:GetEditor()
        end,
        module:GetNavigationButtons()
end
